- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::Archive Class Reference

Base class for implementing database Archives. More...

Inheritance diagram for osgDB::Archive:

[legend]
List of all members.

## Public Types
typedef std::vector< std::string > | FileNameList
## Public Member Functions
| Archive ()
virtual | ~Archive ()
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | acceptsExtension (const std::string &)
virtual void | close ()=0
| close the archive.
virtual bool | fileExists (const std::string &filename) const =0
| return true if file exists in archive.
virtual std::string | getMasterFileName () const =0
| Get the file name which represents the master file recorded in the Archive.
virtual bool | getFileNames (FileNameList &fileNameList) const =0
| Get the full list of file names available in the archive.
virtual ReadResult | readObject (const std::string &, const Options *=NULL) const =0
virtual ReadResult | readImage (const std::string &, const Options *=NULL) const =0
virtual ReadResult | readHeightField (const std::string &, const Options *=NULL) const =0
virtual ReadResult | readNode (const std::string &, const Options *=NULL) const =0
virtual WriteResult | writeObject (const osg::Object &, const std::string &, const Options *=NULL) const =0
virtual WriteResult | writeImage (const osg::Image &, const std::string &, const Options *=NULL) const =0
virtual WriteResult | writeHeightField (const osg::HeightField &, const std::string &, const Options *=NULL) const =0
virtual WriteResult | writeNode (const osg::Node &, const std::string &, const Options *=NULL) const =0

## Detailed Description

Base class for implementing database Archives.

See src/osgPlugins/osga for an example of a concrete implementation.

## Member Typedef Documentation

typedef std::vector<std::string> osgDB::Archive::FileNameList

## Constructor & Destructor Documentation

Archive::Archive | ( |  | ) |

Archive::~Archive | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool osgDB::Archive::acceptsExtension | ( | const std::string & |  | ) | `[inline, virtual]`

virtual const char* osgDB::Archive::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual void osgDB::Archive::close | ( |  | ) | `[pure virtual]`

| close the archive.

virtual bool osgDB::Archive::fileExists | ( | const std::string & | filename | ) | const`[pure virtual]`

| return true if file exists in archive.

virtual bool osgDB::Archive::getFileNames | ( | FileNameList & | fileNameList | ) | const`[pure virtual]`

| Get the full list of file names available in the archive.

virtual std::string osgDB::Archive::getMasterFileName | ( |  | ) | const`[pure virtual]`

| Get the file name which represents the master file recorded in the Archive.

virtual const char* osgDB::Archive::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

virtual ReadResult osgDB::Archive::readHeightField | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual ReadResult osgDB::Archive::readImage | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual ReadResult osgDB::Archive::readNode | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual ReadResult osgDB::Archive::readObject | ( | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual WriteResult osgDB::Archive::writeHeightField | ( | const osg::HeightField & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual WriteResult osgDB::Archive::writeImage | ( | const osg::Image & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual WriteResult osgDB::Archive::writeNode | ( | const osg::Node & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

virtual WriteResult osgDB::Archive::writeObject | ( | const osg::Object & | ,
|  | const std::string & | ,
|  | const Options * | = `NULL`
| ) | const`[pure virtual]`

The documentation for this class was generated from the following files:

- Archive
- Archive.cpp